package com.iamberry.wechat.core.entity.admin;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * description : 二级管理员权限:一级菜单
 * @author 何秀刚
 * create date : 2015年12月10日
 */
public class AdminChildPermissions implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -5723669659339021311L;

	private Integer permissionsId; // ID
	
	private String permissionsName; // 一级菜单名称
	
	private String permissionsUrl; // 一级菜单链接
	
	private String permissionsDesc; // 菜单简介
	
	private String permissionsImg; // 菜单图标
	
	private List<AdminChildPermissionErmissions> menus = new ArrayList<AdminChildPermissionErmissions>(); // 二级菜单

	public List<AdminChildPermissionErmissions> getMenus() {
		return menus;
	}

	public void setMenus(List<AdminChildPermissionErmissions> menus) {
		this.menus = menus;
	}

	public Integer getPermissionsId() {
		return permissionsId;
	}

	public void setPermissionsId(Integer permissionsId) {
		this.permissionsId = permissionsId;
	}

	public String getPermissionsName() {
		return permissionsName;
	}

	public void setPermissionsName(String permissionsName) {
		this.permissionsName = permissionsName;
	}

	public String getPermissionsUrl() {
		return permissionsUrl;
	}

	public void setPermissionsUrl(String permissionsUrl) {
		this.permissionsUrl = permissionsUrl;
	}

	public String getPermissionsDesc() {
		return permissionsDesc;
	}

	public void setPermissionsDesc(String permissionsDesc) {
		this.permissionsDesc = permissionsDesc;
	}

	public String getPermissionsImg() {
		return permissionsImg;
	}

	public void setPermissionsImg(String permissionsImg) {
		this.permissionsImg = permissionsImg;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	@Override
	public String toString() {
		return "AdminChildPermissions [permissionsId=" + permissionsId
				+ ", permissionsName=" + permissionsName + ", permissionsUrl="
				+ permissionsUrl + ", permissionsDesc=" + permissionsDesc
				+ ", permissionsImg=" + permissionsImg + ", menus=" + menus
				+ "]";
	}
}
